<template>
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1 class="m-0">Dashboard</h1>
                </div>            
            </div>
            <div class="row">
                <div class="col-lg-3 col-6">
                    <div class="small-box bg-info">
                    <div class="inner">
                        <h3>{{ listValores.documentos }}</h3>
                        <p>Documentos</p>
                    </div>
                    <div class="icon">
                        <i class="fas fa-user-clock"></i>
                    </div>
                    <a href="/documentos" class="small-box-footer">Más Información <i class="fas fa-arrow-circle-right"></i></a>
                    </div>
                </div>
                <div class="col-lg-3 col-6">
                    <div class="small-box bg-success">
                    <div class="inner">
                        <h3>{{ listValores.tipos }}</h3>
                        <p>Tipos</p>
                    </div>
                    <div class="icon">
                        <i class="fas fa-user-cog"></i>
                    </div>
                    <a href="/tipos" class="small-box-footer">Más Información  <i class="fas fa-arrow-circle-right"></i></a>
                    </div>
                </div>              
                <div class="col-lg-3 col-6">
                    <div class="small-box bg-danger">
                    <div class="inner">
                        <h3>{{ listValores.procesos }}</h3>
                        <p>Procesos</p>
                    </div>
                    <div class="icon">
                        <i class="fas fa-users"></i>
                    </div>
                    <a href="/procesos" class="small-box-footer">Más Información <i class="fas fa-arrow-circle-right"></i></a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    data() {
        return {
            fullscreenLoading: false,
            listValores: []
        }   
    },
    mounted() {
        this.getValores();
    },
    methods: {
        getValores() {
            this.fullscreenLoading = false;
            let url = '/home/index';
            axios.get(url).then(response => {
                this.listValores = response.data;
                this.fullscreenLoading = false;
            });
        }
    } 
}
</script>

<style>

</style>